Bug 88756 - Modem not recognized
Modem not recognized
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: modemtool (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-13 02:54 EDT by Need Real Name
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-26 10:29:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-04-13 02:54:12 EDT
Description of problem: Installed Linux 8.0.  It did not recognize my built in 
modem "HSP56 Micromodem", says I don't have a modem.  I can't figure out how 
to get it to work.  (It is on Com3 in windows). (I just guessed the component, 
you should have a don't know catagory)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2003-05-02 05:45:07 EDT
Could you provide a little more information about the modem and the hardware of
your system?

I belive this may be a socalled winmodem, most of which are not supported in Red
Hat Linux.

Read ya, Phil

PS: This is therefore most likely more of a kernel and/or redhat-config-network
bug...
Comment 2 Ramakrishnan Rajasekaran 2003-06-26 10:20:33 EDT
I too am having the same problem.  My Hardware browser has detected the modem 
to CM8738.  I have downloaded pctel-0.9.6 from http://www.linmodems.org, which 
is stated to support modems, among others, cm8x.  After configuring the modem 
and running 'make' and 'make install', I am not able to run 'insmod', as the 
software returns the error message that the module I am trying to install was 
written in gcc 2, whereas the kernel which is running in my system was written 
in gcc 3 and this is not likely to work.
Comment 3 Ramakrishnan Rajasekaran 2003-06-26 10:24:50 EDT
PS: My modem is also HSP56 Micromodem.
Comment 4 Phil Knirsch 2003-06-26 10:29:05 EDT
Which explains it: We don't ship any binary only kernel modules with Red Hat
Linux, so the linmodem won't work out of the box.

Additionally the linmodem binary module only driver has obviously been compiled
with an older gcc (gcc2), and therefore loading it as a module for a gcc3
compiled kernel is very strongly discouraged.

You can try by using insmod -f <module>, but remember that we don't support
systems with binary only modules loaded.

Read ya, Phil
Comment 5 Ramakrishnan Rajasekaran 2003-06-29 08:26:32 EDT
Thank you for the tip.  That worked and I am able to connect to the net. 

Note You need to log in before you can comment on or make changes to this bug.